<template>
    <div>
        <p>Spaces Left: {{ spacesLeft }} out of {{ capacity }}</p>
        <h2>Attending</h2>
        <ul>
            <li :key="index" v-for="(name, index) in attending">
                {{ name }}
            </li>
        </ul>
        <button @click="increaseCapacity()">Increase Capacity</button>
    </div>
</template>
<script>
    import useEventSpace from "../use/event-space";
    import useMapping from "../use/use-mapping";

    export default {
        setup() {
            const {capacity, attending, spacesLeft, increaseCapacity} = useEventSpace();
            const {maps} = useMapping();

            return {capacity, attending, spacesLeft, increaseCapacity, maps};
        }
    };
</script>